import router from './router'
import store from './store'
import { Message } from 'element-ui'
import NProgress from 'nprogress' // progress bar
import 'nprogress/nprogress.css' // progress bar style
// import { getToken } from '@/utils/auth' // get token from cookie
import getPageTitle from '@/utils/get-page-title'

NProgress.configure({ showSpinner: false }) // NProgress Configuration

const whiteList = ['/login'] // no redirect whitelist

router.beforeEach(async (to, from, next) => {
  // start progress bar
  NProgress.start()

  // set page title
  document.title = getPageTitle(to.meta.title)

  // determine whether the user has logged in
  if (to.path != '/login' && !store.state.user.id_card) {
    // 没有登录，跳转到登录页面
    next({ path: '/login' });
    NProgress.done();
  } else {
    let getPriorityName = function (path) {
      let pos = path.indexOf('/', 1);
      pos = pos == -1 ? path.length : pos;
      return path.substring(1, pos);
    }
    let allow = false;
    if (store.state.user.is_admin) {
      allow = true;
    } else {
      switch (getPriorityName(to.path)) {
        case 'priority':
          break;
        case 'job':
          // 判断岗位读权限
          allow = true;
          break;
        case 'person':
          // 判断人员读权限
          allow = true;
          break;
        case 'event':
          // 判断人员读权限
          allow = true;
          break;
        default:
          allow = true;
      }
    }


    if (allow) {
      next();
    } else {
      Message({
        message: '权限不足',
        type: 'error',
        duration: 2000
      })
      next(false);
      NProgress.done();
    }
  }


  // next()
  // NProgress.done()

  // next(`/login?redirect=${to.path}`)
  // NProgress.done()

  // const hasToken = getToken()
  // if (hasToken) {
  //   if (to.path === '/login') {
  //     // if is logged in, redirect to the home page
  //     next({ path: '/' })
  //     NProgress.done()
  //   } else {
  //     const hasGetUserInfo = store.getters.name
  //     if (hasGetUserInfo) {
  //       next()
  //     } else {
  //       try {
  //         // get user info
  //         await store.dispatch('user/getInfo')

  //         next()
  //       } catch (error) {
  //         // remove token and go to login page to re-login
  //         await store.dispatch('user/resetToken')
  //         Message.error(error || 'Has Error')
  //         next(`/login?redirect=${to.path}`)
  //         NProgress.done()
  //       }
  //     }
  //   }
  // } else {
  //   /* has no token*/

  //   if (whiteList.indexOf(to.path) !== -1) {
  //     // in the free login whitelist, go directly
  //     next()
  //   } else {
  //     // other pages that do not have permission to access are redirected to the login page.
  //     next(`/login?redirect=${to.path}`)
  //     NProgress.done()
  //   }
  // }
})

router.afterEach(() => {
  // finish progress bar
  NProgress.done()
})
